{# This is testing file with macros for example class generatad by mentat-ideagen script. #}

{% macro header(data, dafault_class) %}
                                            {%- for v in data.values() %}{% if 'source' in v and loop.first %}<th>{{ _('URL') }}</th>{% endif %}{% endfor %}
                                            <th>{{ _('Some other data') }}</th>
                                            <th style="text-align:right">{{ _('Count') }}</th>
                                            <th style="text-align:right">{{ _('Is count even?') }}</th>
{% endmacro %}

{% macro row(key, data, is_authenticated, dafault_class) %}
                                                {%- if 'source' in data %}
                                                {%- if data['source']['url'] %}
                                                <td>{{ data['source']['url'] }}</td>
                                                {%- else %}
                                                <td>---</td>
                                                {%- endif %}
                                                {%- endif %}
                                                <td>{{ _('Too long string that should be truncated in email.') }}</td>
                                                <td style="text-align:right">{{ data['count'] }}</td>
                                                <td style="text-align:right">{% if data['count'] % 2 == 0 %}{{ _('Yes') }}{% else %}{{ _('No') }}{% endif %}</td>
{% endmacro %}
